package cn.com.ty.lift.enterprise.mtCompanyUser.service;

import cn.com.ty.lift.enterprise.mtCompanyUser.MtCompanyUser;
import cn.com.ty.lift.enterprise.mtCompanyUser.mapper.MtCompanyUserMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
@Service
public class MtCompanyUserService extends ServiceImpl<MtCompanyUserMapper, MtCompanyUser> {

    public List<MtCompanyUser> listByMtCompany(Long mtCompanyId){
        LambdaQueryWrapper<MtCompanyUser> lambdaQueryWrapper = Wrappers.lambdaQuery();
        lambdaQueryWrapper.eq(MtCompanyUser::getMtCompanyId, mtCompanyId);
        return list(lambdaQueryWrapper);
    }
}
